/**
 * <copyright>
 * </copyright>
 *
 * $Id: MiningModelValidator.java,v 1.1 2008-04-01 09:35:50 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningmodel.validation;

import orgomg.cwm.analysis.datamining.miningcore.entrypoint.Schema;

import orgomg.cwm.analysis.datamining.miningcore.miningfunctionsettings.MiningFunctionSettings;

import orgomg.cwm.analysis.datamining.miningcore.miningmodel.MiningFunction;
import orgomg.cwm.analysis.datamining.miningcore.miningmodel.ModelSignature;

import orgomg.cwm.objectmodel.core.Attribute;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningmodel.MiningModel}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MiningModelValidator {
	boolean validate();

	boolean validateFunction(MiningFunction value);
	boolean validateAlgorithmName(String value);
	boolean validateKeyValue(String value);
	boolean validateSettings(MiningFunctionSettings value);
	boolean validateModelSignature(ModelSignature value);
	boolean validateModelLocation(orgomg.cwm.objectmodel.core.Class value);
	boolean validateKeyAttribute(Attribute value);
	boolean validateSchema(Schema value);
}
